import "reflect-metadata";
import { ApiServer } from "./api/ApiServer";
import { Container } from "inversify";
import { AppConfig } from "./model/AppConfig";
export declare abstract class ApiApp {
    protected readonly apiServer: ApiServer;
    protected readonly appContainer: Container;
    constructor(appConfig?: AppConfig);
    protected initialiseControllers(controllersPath: string): Promise<void>;
}
