"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ApiDecoratorRegistry_1 = require("../ApiDecoratorRegistry");
function apiController(path) {
    return (classDefinition) => {
        var classDef = classDefinition;
        // store rootPath against controller for lookup
        // by an API endpoint decorator
        classDef.rootPath = path;
        ApiDecoratorRegistry_1.ApiDecoratorRegistry.Controllers.push(classDefinition);
    };
}
exports.apiController = apiController;
//# sourceMappingURL=apiController.js.map