import { Options, LoggerOptions, SerializerFunction } from "lambda-api";
export declare class AppConfig implements Options {
    base?: string;
    callbackName?: string;
    logger?: boolean | LoggerOptions;
    mimeTypes?: {
        [key: string]: string;
    };
    serializer?: SerializerFunction;
    version?: string;
}
